var manual =
[
    [ "Introduction", "Introduction.html", null ],
    [ "The Core Objects", "The-Core-Objects.html", [
      [ "The Root object", "The-Core-Objects.html#The-Root-Object", null ],
      [ "The RenderSystem object", "The-Core-Objects.html#The-RenderSystem-object", null ],
      [ "The SceneManager object", "The-Core-Objects.html#The-SceneManager-object", null ],
      [ "The ResourceGroupManager Object", "The-Core-Objects.html#The-ResourceGroupManager-Object", null ],
      [ "The Mesh Object", "The-Core-Objects.html#The-Mesh-Object", null ],
      [ "Entities", "The-Core-Objects.html#Entities", null ],
      [ "Materials", "The-Core-Objects.html#Materials", null ],
      [ "Overlays", "The-Core-Objects.html#Overlays", null ]
    ] ],
    [ "Scripts", "Scripts.html", "Scripts" ],
    [ "High-level Programs", "High-level-Programs.html", [
      [ "Cg programs", "High-level-Programs.html#Cg", null ],
      [ "DirectX9 HLSL", "High-level-Programs.html#HLSL", null ],
      [ "OpenGL GLSL", "High-level-Programs.html#GLSL", [
        [ "GLSL Texture Samplers", "High-level-Programs.html#GLSL-Texture-Samplers", null ],
        [ "Matrix parameters", "High-level-Programs.html#Matrix-parameters", null ],
        [ "Accessing OpenGL states in GLSL", "High-level-Programs.html#Accessing-OpenGL-states-in-GLSL", null ],
        [ "Binding vertex attributes", "High-level-Programs.html#Binding-vertex-attributes", null ],
        [ "Preprocessor definitions", "High-level-Programs.html#Preprocessor-definitions", null ],
        [ "GLSL Geometry shader specification", "High-level-Programs.html#GLSL-Geometry-shader-specification", null ]
      ] ],
      [ "Unified High-level Programs", "High-level-Programs.html#Unified-High_002dlevel-Programs", null ],
      [ "Using GPU Programs in a Pass", "High-level-Programs.html#Using-Vertex_002fGeometry_002fFragment-Programs-in-a-Pass", [
        [ "Parameter specification", "High-level-Programs.html#Program-Parameter-Specification", null ]
      ] ],
      [ "Shadows and Vertex Programs", "High-level-Programs.html#Shadows-and-Vertex-Programs", null ],
      [ "Skeletal Animation in Vertex Programs", "High-level-Programs.html#Skeletal-Animation-in-Vertex-Programs", null ],
      [ "Morph Animation in Vertex Programs", "High-level-Programs.html#Morph-Animation-in-Vertex-Programs", null ],
      [ "Pose Animation in Vertex Programs", "High-level-Programs.html#Pose-Animation-in-Vertex-Programs", null ],
      [ "Vertex texture fetching in vertex programs", "High-level-Programs.html#Vertex-texture-fetching-in-vertex-programs", null ],
      [ "Adjacency information in Geometry Programs", "High-level-Programs.html#Adjacency-information-in-Geometry-Programs", null ],
      [ "Vertex Texture Fetch", "High-level-Programs.html#Vertex-Texture-Fetch", null ]
    ] ],
    [ "Mesh Tools", "Mesh-Tools.html", [
      [ "Exporters", "Mesh-Tools.html#Exporters", null ],
      [ "XMLConverter", "Mesh-Tools.html#XMLConverter", null ],
      [ "MeshUpgrader", "Mesh-Tools.html#MeshUpgrader", null ]
    ] ],
    [ "Hardware Buffers", "Hardware-Buffers.html", [
      [ "Buffer Usage", "Hardware-Buffers.html#Buffer-Usage", [
        [ "Shadow Buffers", "Hardware-Buffers.html#Shadow-Buffers", null ],
        [ "Locking buffers", "Hardware-Buffers.html#Locking-buffers", null ],
        [ "Practical Buffer Tips", "Hardware-Buffers.html#Practical-Buffer-Tips", null ]
      ] ],
      [ "Hardware Vertex Buffers", "Hardware-Buffers.html#Hardware-Vertex-Buffers", [
        [ "The VertexData class", "Hardware-Buffers.html#The-VertexData-class", null ],
        [ "Vertex Declarations", "Hardware-Buffers.html#Vertex-Declarations", null ],
        [ "Important Considerations", "Hardware-Buffers.html#Important-Considerations", null ],
        [ "Vertex Buffer Bindings", "Hardware-Buffers.html#Vertex-Buffer-Bindings", null ],
        [ "Creating the Vertex Buffer", "Hardware-Buffers.html#Creating-the-Vertex-Buffer", null ],
        [ "Binding the Vertex Buffer", "Hardware-Buffers.html#Binding-the-Vertex-Buffer", null ],
        [ "Updating Vertex Buffers", "Hardware-Buffers.html#Updating-Vertex-Buffers", null ]
      ] ],
      [ "Hardware Index Buffers", "Hardware-Buffers.html#Hardware-Index-Buffers", [
        [ "The IndexData class", "Hardware-Buffers.html#The-IndexData-class", null ],
        [ "Updating Index Buffers", "Hardware-Buffers.html#Updating-Index-Buffers", null ]
      ] ],
      [ "Hardware Pixel Buffers", "Hardware-Buffers.html#Hardware-Pixel-Buffers", [
        [ "Textures", "Hardware-Buffers.html#Textures", [
          [ "Creating a texture", "Hardware-Buffers.html#Creating-a-texture", null ]
        ] ],
        [ "Getting a PixelBuffer", "Hardware-Buffers.html#Getting-a-PixelBuffer", null ],
        [ "Updating Pixel Buffers", "Hardware-Buffers.html#Updating-Pixel-Buffers", null ],
        [ "Blit from memory", "Hardware-Buffers.html#blitFromMemory", null ],
        [ "Direct memory locking", "Hardware-Buffers.html#Direct-memory-locking", null ],
        [ "Texture Types", "Hardware-Buffers.html#Texture-Types", null ],
        [ "Cube map textures", "Hardware-Buffers.html#Cube-map-textures", null ],
        [ "Pixel Formats", "Hardware-Buffers.html#Pixel-Formats", null ],
        [ "Colour channels", "Hardware-Buffers.html#Colour-channels", null ],
        [ "List of pixel formats", "Hardware-Buffers.html#Complete-list-of-pixel-formats", null ],
        [ "Pixel boxes", "Hardware-Buffers.html#Pixel-boxes", null ]
      ] ]
    ] ],
    [ "Shadows", "Shadows.html", [
      [ "Enabling shadows", "Shadows.html#Enabling-shadows", null ],
      [ "Opting out of shadows", "Shadows.html#Opting-out-of-shadows", null ],
      [ "Stencil Shadows", "Shadows.html#Stencil-Shadows", null ],
      [ "Texture-based Shadows", "Shadows.html#Texture_002dbased-Shadows", null ],
      [ "Configuring Texture Shadows", "Shadows.html#Configuring-Texture-Shadows", null ],
      [ "Modulative Shadows", "Shadows.html#Modulative-Shadows", null ],
      [ "Additive Light Masking", "Shadows.html#Additive-Light-Masking", null ]
    ] ],
    [ "Animation", "Animation.html", [
      [ "Skeletal Animation", "Animation.html#Skeletal-Animation", null ],
      [ "Vertex Animation", "Animation.html#Vertex-Animation", null ],
      [ "SceneNode Animation", "Animation.html#SceneNode-Animation", null ],
      [ "Numeric Value Animation", "Animation.html#Numeric-Value-Animation", null ]
    ] ]
];